ServerEvents.tags('minecraft:worldgen/biome', event => {

  priority: 101

  event.add('tnp:has_meteorites', 'jamd:mining')

  event.remove('ae2:has_meteorites', 'alexscaves:abyssal_chasm')
  event.remove('ae2:has_meteorites', 'alexscaves:forlorn_hollows')
  event.remove('ae2:has_meteorites', 'alexscaves:magnetic_caves')
  event.remove('ae2:has_meteorites', 'alexscaves:primordial_caves')
  event.remove('ae2:has_meteorites', 'alexscaves:toxic_caves')
  event.remove('ae2:has_meteorites', 'ars_elemental:blazing_forest')
  event.remove('ae2:has_meteorites', 'ars_elemental:cascading_forest')
  event.remove('ae2:has_meteorites', 'ars_elemental:flashing_forest')
  event.remove('ae2:has_meteorites', 'ars_elemental:flourishing_forest')
  event.remove('ae2:has_meteorites', 'ars_nouveau:archwood_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:auroral_garden')
  event.remove('ae2:has_meteorites', 'biomesoplenty:bayou')
  event.remove('ae2:has_meteorites', 'biomesoplenty:bog')
  event.remove('ae2:has_meteorites', 'biomesoplenty:clover_patch')
  event.remove('ae2:has_meteorites', 'biomesoplenty:cold_desert')
  event.remove('ae2:has_meteorites', 'biomesoplenty:coniferous_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:crag')
  event.remove('ae2:has_meteorites', 'biomesoplenty:dead_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:dryland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:dune_beach')
  event.remove('ae2:has_meteorites', 'biomesoplenty:field')
  event.remove('ae2:has_meteorites', 'biomesoplenty:fir_clearing')
  event.remove('ae2:has_meteorites', 'biomesoplenty:floodplain')
  event.remove('ae2:has_meteorites', 'biomesoplenty:forested_field')
  event.remove('ae2:has_meteorites', 'biomesoplenty:fungal_jungle')
  event.remove('ae2:has_meteorites', 'biomesoplenty:glowing_grotto')
  event.remove('ae2:has_meteorites', 'biomesoplenty:grassland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:highland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:jade_cliffs')
  event.remove('ae2:has_meteorites', 'biomesoplenty:lavender_field')
  event.remove('ae2:has_meteorites', 'biomesoplenty:lavender_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:lush_desert')
  event.remove('ae2:has_meteorites', 'biomesoplenty:lush_savanna')
  event.remove('ae2:has_meteorites', 'biomesoplenty:maple_woods')
  event.remove('ae2:has_meteorites', 'biomesoplenty:marsh')
  event.remove('ae2:has_meteorites', 'biomesoplenty:mediterranean_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:moor')
  event.remove('ae2:has_meteorites', 'biomesoplenty:muskeg')
  event.remove('ae2:has_meteorites', 'biomesoplenty:mystic_grove')
  event.remove('ae2:has_meteorites', 'biomesoplenty:old_growth_dead_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:old_growth_woodland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:ominous_woods')
  event.remove('ae2:has_meteorites', 'biomesoplenty:orchard')
  event.remove('ae2:has_meteorites', 'biomesoplenty:origin_valley')
  event.remove('ae2:has_meteorites', 'biomesoplenty:pasture')
  event.remove('ae2:has_meteorites', 'biomesoplenty:prairie')
  event.remove('ae2:has_meteorites', 'biomesoplenty:pumpkin_patch')
  event.remove('ae2:has_meteorites', 'biomesoplenty:rainforest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:redwood_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:rocky_rainforest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:rocky_shrubland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:scrubland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:seasonal_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:seasonal_orchard')
  event.remove('ae2:has_meteorites', 'biomesoplenty:shrubland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:snowblossom_grove')
  event.remove('ae2:has_meteorites', 'biomesoplenty:snowy_coniferous_forest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:snowy_fir_clearing')
  event.remove('ae2:has_meteorites', 'biomesoplenty:snowy_maple_woods')
  event.remove('ae2:has_meteorites', 'biomesoplenty:spider_nest')
  event.remove('ae2:has_meteorites', 'biomesoplenty:tropics')
  event.remove('ae2:has_meteorites', 'biomesoplenty:tundra')
  event.remove('ae2:has_meteorites', 'biomesoplenty:volcanic_plains')
  event.remove('ae2:has_meteorites', 'biomesoplenty:volcano')
  event.remove('ae2:has_meteorites', 'biomesoplenty:wasteland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:wasteland_steppe')
  event.remove('ae2:has_meteorites', 'biomesoplenty:wetland')
  event.remove('ae2:has_meteorites', 'biomesoplenty:woodland')
  event.remove('ae2:has_meteorites', 'galosphere:crystal_canyons')
  event.remove('ae2:has_meteorites', 'galosphere:lichen_caves')
  event.remove('ae2:has_meteorites', 'integrateddynamics:meneglin')
  event.remove('ae2:has_meteorites', 'minecraft:badlands')
  event.remove('ae2:has_meteorites', 'minecraft:bamboo_jungle')
  event.remove('ae2:has_meteorites', 'minecraft:beach')
  event.remove('ae2:has_meteorites', 'minecraft:birch_forest')
  event.remove('ae2:has_meteorites', 'minecraft:cherry_grove')
  event.remove('ae2:has_meteorites', 'minecraft:cold_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:dark_forest')
  event.remove('ae2:has_meteorites', 'minecraft:deep_cold_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:deep_dark')
  event.remove('ae2:has_meteorites', 'minecraft:deep_frozen_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:deep_lukewarm_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:deep_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:desert')
  event.remove('ae2:has_meteorites', 'minecraft:dripstone_caves')
  event.remove('ae2:has_meteorites', 'minecraft:eroded_badlands')
  event.remove('ae2:has_meteorites', 'minecraft:flower_forest')
  event.remove('ae2:has_meteorites', 'minecraft:forest')
  event.remove('ae2:has_meteorites', 'minecraft:frozen_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:frozen_peaks')
  event.remove('ae2:has_meteorites', 'minecraft:frozen_river')
  event.remove('ae2:has_meteorites', 'minecraft:grove')
  event.remove('ae2:has_meteorites', 'minecraft:ice_spikes')
  event.remove('ae2:has_meteorites', 'minecraft:jagged_peaks')
  event.remove('ae2:has_meteorites', 'minecraft:jungle')
  event.remove('ae2:has_meteorites', 'minecraft:lukewarm_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:lush_caves')
  event.remove('ae2:has_meteorites', 'minecraft:mangrove_swamp')
  event.remove('ae2:has_meteorites', 'minecraft:meadow')
  event.remove('ae2:has_meteorites', 'minecraft:mushroom_fields')
  event.remove('ae2:has_meteorites', 'minecraft:ocean')
  event.remove('ae2:has_meteorites', 'minecraft:old_growth_birch_forest')
  event.remove('ae2:has_meteorites', 'minecraft:old_growth_pine_taiga')
  event.remove('ae2:has_meteorites', 'minecraft:old_growth_spruce_taiga')
  event.remove('ae2:has_meteorites', 'minecraft:plains')
  event.remove('ae2:has_meteorites', 'minecraft:river')
  event.remove('ae2:has_meteorites', 'minecraft:savanna')
  event.remove('ae2:has_meteorites', 'minecraft:savanna_plateau')
  event.remove('ae2:has_meteorites', 'minecraft:snowy_beach')
  event.remove('ae2:has_meteorites', 'minecraft:snowy_plains')
  event.remove('ae2:has_meteorites', 'minecraft:snowy_slopes')
  event.remove('ae2:has_meteorites', 'minecraft:snowy_taiga')
  event.remove('ae2:has_meteorites', 'minecraft:sparse_jungle')
  event.remove('ae2:has_meteorites', 'minecraft:stony_peaks')
  event.remove('ae2:has_meteorites', 'minecraft:stony_shore')
  event.remove('ae2:has_meteorites', 'minecraft:sunflower_plains')
  event.remove('ae2:has_meteorites', 'minecraft:swamp')
  event.remove('ae2:has_meteorites', 'minecraft:taiga')
  event.remove('ae2:has_meteorites', 'minecraft:warm_ocean')
  event.remove('ae2:has_meteorites', 'minecraft:windswept_forest')
  event.remove('ae2:has_meteorites', 'minecraft:windswept_gravelly_hills')
  event.remove('ae2:has_meteorites', 'minecraft:windswept_hills')
  event.remove('ae2:has_meteorites', 'minecraft:windswept_savanna')
  event.remove('ae2:has_meteorites', 'minecraft:wooded_badlands')
  event.remove('ae2:has_meteorites', 'quark:glimmering_weald')
  event.remove('ae2:has_meteorites', 'regions_unexplored:alpha_grove')
  event.remove('ae2:has_meteorites', 'regions_unexplored:ancient_delta')
  event.remove('ae2:has_meteorites', 'regions_unexplored:arid_mountains')
  event.remove('ae2:has_meteorites', 'regions_unexplored:ashen_woodland')
  event.remove('ae2:has_meteorites', 'regions_unexplored:autumnal_maple_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:bamboo_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:baobab_savanna')
  event.remove('ae2:has_meteorites', 'regions_unexplored:barley_fields')
  event.remove('ae2:has_meteorites', 'regions_unexplored:bayou')
  event.remove('ae2:has_meteorites', 'regions_unexplored:bioshroom_caves')
  event.remove('ae2:has_meteorites', 'regions_unexplored:blackwood_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:boreal_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:chalk_cliffs')
  event.remove('ae2:has_meteorites', 'regions_unexplored:clover_plains')
  event.remove('ae2:has_meteorites', 'regions_unexplored:cold_boreal_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:cold_deciduous_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:cold_river')
  event.remove('ae2:has_meteorites', 'regions_unexplored:deciduous_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:dry_bushland')
  event.remove('ae2:has_meteorites', 'regions_unexplored:eucalyptus_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:fen')
  event.remove('ae2:has_meteorites', 'regions_unexplored:flower_fields')
  event.remove('ae2:has_meteorites', 'regions_unexplored:frozen_pine_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:frozen_tundra')
  event.remove('ae2:has_meteorites', 'regions_unexplored:fungal_fen')
  event.remove('ae2:has_meteorites', 'regions_unexplored:golden_boreal_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:grassland')
  event.remove('ae2:has_meteorites', 'regions_unexplored:grassy_beach')
  event.remove('ae2:has_meteorites', 'regions_unexplored:gravel_beach')
  event.remove('ae2:has_meteorites', 'regions_unexplored:highland_fields')
  event.remove('ae2:has_meteorites', 'regions_unexplored:hyacinth_deeps')
  event.remove('ae2:has_meteorites', 'regions_unexplored:icy_heights')
  event.remove('ae2:has_meteorites', 'regions_unexplored:joshua_desert')
  event.remove('ae2:has_meteorites', 'regions_unexplored:magnolia_woodland')
  event.remove('ae2:has_meteorites', 'regions_unexplored:maple_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:marsh')
  event.remove('ae2:has_meteorites', 'regions_unexplored:mauve_hills')
  event.remove('ae2:has_meteorites', 'regions_unexplored:mountains')
  event.remove('ae2:has_meteorites', 'regions_unexplored:muddy_river')
  event.remove('ae2:has_meteorites', 'regions_unexplored:old_growth_bayou')
  event.remove('ae2:has_meteorites', 'regions_unexplored:orchard')
  event.remove('ae2:has_meteorites', 'regions_unexplored:outback')
  event.remove('ae2:has_meteorites', 'regions_unexplored:pine_slopes')
  event.remove('ae2:has_meteorites', 'regions_unexplored:pine_taiga')
  event.remove('ae2:has_meteorites', 'regions_unexplored:poppy_fields')
  event.remove('ae2:has_meteorites', 'regions_unexplored:prairie')
  event.remove('ae2:has_meteorites', 'regions_unexplored:prismachasm')
  event.remove('ae2:has_meteorites', 'regions_unexplored:pumpkin_fields')
  event.remove('ae2:has_meteorites', 'regions_unexplored:rainforest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:redstone_caves')
  event.remove('ae2:has_meteorites', 'regions_unexplored:redwoods')
  event.remove('ae2:has_meteorites', 'regions_unexplored:rocky_meadow')
  event.remove('ae2:has_meteorites', 'regions_unexplored:rocky_reef')
  event.remove('ae2:has_meteorites', 'regions_unexplored:saguaro_desert')
  event.remove('ae2:has_meteorites', 'regions_unexplored:scorching_caves')
  event.remove('ae2:has_meteorites', 'regions_unexplored:shrubland')
  event.remove('ae2:has_meteorites', 'regions_unexplored:silver_birch_forest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:sparse_rainforest')
  event.remove('ae2:has_meteorites', 'regions_unexplored:sparse_redwoods')
  event.remove('ae2:has_meteorites', 'regions_unexplored:spires')
  event.remove('ae2:has_meteorites', 'regions_unexplored:steppe')
  event.remove('ae2:has_meteorites', 'regions_unexplored:temperate_grove')
  event.remove('ae2:has_meteorites', 'regions_unexplored:towering_cliffs')
  event.remove('ae2:has_meteorites', 'regions_unexplored:tropical_river')
  event.remove('ae2:has_meteorites', 'regions_unexplored:tropics')
  event.remove('ae2:has_meteorites', 'regions_unexplored:willow_forest')

})